#include<stdio.h>
#include<math.h>
long long int r,p,q,L,R,s=0;
void Input()
{
	scanf("%lld %lld %lld %lld %lld",&p,&q,&r,&L,&R);
}
void Solve()
{
	for(long long int i = L; i <= R; i++)
	{
		if(ceil(float(i)/float(p))+ceil(float(i)/float(q))+ceil(float(i)/float(r)) <= i)s++;
	}
}
void Output()
{
	printf("%lld",s);
}
void Run()
{
	Input();
	Solve();
	Output();
}
int main()
{
	Run();
	return 0;
}